#include<stdio.h>

int main(){
	unsigned m, n;
	int suma = 0;
	
	scanf("%u %u", &m, &n);
	
	if(m < 0 || n < 0 || m < n){
		printf("%-1\n");
		return;
		}
	unsigned i, j;
	unsigned pom;
	pom = n;
	for(i = pom - n + 1; j <= pom; j++){
			suma += (pom - n + 1) + j;
		if(pom == m)
			break;
		pom++;
		printf("%d ", suma);

	}
	printf("\n");




	return 0;
}
